- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GeneralFileHeader Class Reference

a data structure that holds general information about files that conform to one of the OSxL schemas More...

`#include <OSGeneral.h>`

Collaboration diagram for GeneralFileHeader:

[legend]
List of all members.

## Public Member Functions
| GeneralFileHeader ()
| Constructor.
| ~GeneralFileHeader ()
| Default destructor.
bool | IsEqual (GeneralFileHeader *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setHeader (std::string name, std::string source, std::string description, std::string fileCreator, std::string licence)
| A function to populate an instance of this class.
## Public Attributes
std::string | name
| used to give a name to the file or the problem contained within it
std::string | source
| used when the file or problem appeared in the literature (could be in BiBTeX format or similar)
std::string | description
| further information about the file or the problem contained within it
std::string | fileCreator
| name(s) of author(s) who created this file
std::string | licence
| licensing information if applicable

## Detailed Description

a data structure that holds general information about files that conform to one of the OSxL schemas

Definition at line 38 of file OSGeneral.h.

## Constructor & Destructor Documentation

GeneralFileHeader::GeneralFileHeader | ( |  | ) |

Constructor.

Definition at line 31 of file OSGeneral.cpp.

GeneralFileHeader::~GeneralFileHeader | ( |  | ) |

Default destructor.

Definition at line 40 of file OSGeneral.cpp.

## Member Function Documentation

bool GeneralFileHeader::IsEqual | ( | GeneralFileHeader * | that | ) |

A function to check for the equality of two objects.

Definition at line 47 of file OSGeneral.cpp.

References description, fileCreator, licence, name, and source.

bool GeneralFileHeader::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" attributes and <XXX> children)

Definition at line 92 of file OSGeneral.cpp.

References description, fileCreator, licence, name, OSRand(), and source.

Referenced by OSResult::setRandom(), and OSOption::setRandom().

bool GeneralFileHeader::setHeader | ( | std::string | name,
|  | std::string | source,
|  | std::string | description,
|  | std::string | fileCreator,
|  | std::string | licence |
| ) |  |  |

A function to populate an instance of this class.

Parameters:

  | name,: | the name of this file or instance
  | source,: | the source (e.g., in BiBTeX format)
  | description,: | further description about this file and/or its contents
  | fileCreator,: | the creator of this file
  | licence,: | licence information if applicable

Definition at line 102 of file OSGeneral.cpp.

Referenced by OSOption::setOptionHeader(), and OSResult::setResultHeader().

## Member Data Documentation

std::string GeneralFileHeader::name

used to give a name to the file or the problem contained within it

Definition at line 44 of file OSGeneral.h.

Referenced by OSOption::getFileName(), OSInstance::getInstanceName(), IsEqual(), setRandom(), writeGeneralFileHeader(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().

std::string GeneralFileHeader::source

used when the file or problem appeared in the literature (could be in BiBTeX format or similar)

Definition at line 50 of file OSGeneral.h.

Referenced by OSOption::getFileSource(), OSInstance::getInstanceSource(), IsEqual(), setRandom(), writeGeneralFileHeader(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().

std::string GeneralFileHeader::description

further information about the file or the problem contained within it

Definition at line 55 of file OSGeneral.h.

Referenced by OSOption::getFileDescription(), OSInstance::getInstanceDescription(), IsEqual(), setRandom(), writeGeneralFileHeader(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().

std::string GeneralFileHeader::fileCreator

name(s) of author(s) who created this file

Definition at line 60 of file OSGeneral.h.

Referenced by OSOption::getFileCreator(), IsEqual(), setRandom(), writeGeneralFileHeader(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().

std::string GeneralFileHeader::licence

licensing information if applicable

Definition at line 65 of file OSGeneral.h.

Referenced by OSOption::getFileLicence(), IsEqual(), setRandom(), writeGeneralFileHeader(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp